classification
Title: Remove collections ABCs?
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eamanu, mbussonn, miss-islington, ned.deily, p-ganssle, rhettinger, serhiy.storchaka, stutzbach, xtreak, yan12125
Priority: normal Keywords: patch

Created on 2019-05-18 00:52 by p-ganssle, last changed 2019-10-15 07:30 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13409 merged mbussonn, 2019-05-20 16:31
PR 16675 merged miss-islington, 2019-10-09 09:11
Messages (9)
msg342779 - (view) Author: Paul Ganssle (p-ganssle) * (Python committer) Date: 2019-05-18 00:52
In PR 5640 (https://github.com/python/cpython/pull/5460), a warning was added that importing ABCs from collections directly is deprecated and will be removed in Python 3.8, but they have not yet been removed and the warning is still active.

If they are going to be removed, presumably it needs to be done before the feature freeze at the end of May, otherwise, in the meantime, I think the warning needs to be updated to say that it will be removed in Python 3.9.
msg342785 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-05-18 02:17
Relevant PR and discussion : https://github.com/python/cpython/pull/10596 . pip is incompatible due to the vendored copy of html5lib that needs a new release .
msg342806 - (view) Author: Matthias Bussonnier (mbussonn) * Date: 2019-05-18 17:51
Should it still raise an informative error message with ImportError:

> ImportError: cannot import name 'XXX' from 'collections', please import it from 'collections.abc'.

or just the "cannot import name 'XXXX'" without the  "please import it from 'collections.abc'." ?
msg344005 - (view) Author: miss-islington (miss-islington) Date: 2019-05-30 21:45
New changeset eea47e09394dfb64d3a59a601d947d25bb1bdc96 by Miss Islington (bot) (Matthias Bussonnier) in branch 'master':
bpo-36953: Delay removal of ABCs from collections. (GH-13409)
https://github.com/python/cpython/commit/eea47e09394dfb64d3a59a601d947d25bb1bdc96
msg354093 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-10-07 13:14
The removal was done in https://bugs.python.org/issue25988 . Given that the version in warning message was updated I guess this can be closed.
msg354094 - (view) Author: Chih-Hsuan Yen (yan12125) * Date: 2019-10-07 13:24
Lib/collections/__init__.py on branch 3.7 still states:

> Using or importing the ABCs from 'collections' instead of from 'collections.abc' is deprecated, and in 3.8 it will stop working

I think it should also be updated (hopefully before 3.7.5?) as the actual removal turns out to be in 3.9.
msg354137 - (view) Author: Emmanuel Arias (eamanu) * Date: 2019-10-07 20:28
Now was remove from 3.7

https://github.com/python/cpython/commit/ef092fe9905f61ca27889092ca1248a11aa74498

This issue should be closed, isn't?
msg354259 - (view) Author: miss-islington (miss-islington) Date: 2019-10-09 09:29
New changeset 056fa7f52a49a758b1ed5f5a81d8b7ce5c71cec4 by Miss Islington (bot) in branch '3.7':
bpo-36953: Delay removal of ABCs from collections. (GH-13409)
https://github.com/python/cpython/commit/056fa7f52a49a758b1ed5f5a81d8b7ce5c71cec4
msg354693 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-10-15 07:30
New changeset 42b16b2a867ad3f6c022476076da3d6ea789021b by Ned Deily (Miss Islington (bot)) in branch '3.7':
bpo-36953: Delay removal of ABCs from collections. (GH-13409)
https://github.com/python/cpython/commit/42b16b2a867ad3f6c022476076da3d6ea789021b
History
Date User Action Args
2019-10-15 07:30:24ned.deilysetnosy: + ned.deily
messages: + msg354693
2019-10-09 09:29:38miss-islingtonsetmessages: + msg354259
2019-10-09 09:11:52miss-islingtonsetpull_requests: + pull_request16256
2019-10-07 20:28:18eamanusetmessages: + msg354137
2019-10-07 13:24:31yan12125setmessages: + msg354094
2019-10-07 13:21:47serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-10-07 13:14:45xtreaksetmessages: + msg354093
2019-07-25 02:45:16yan12125setnosy: + yan12125
2019-05-30 21:45:51miss-islingtonsetnosy: + miss-islington
messages: + msg344005
2019-05-20 16:31:38mbussonnsetkeywords: + patch
stage: patch review
pull_requests: + pull_request13356
2019-05-18 17:51:30mbussonnsetmessages: + msg342806
2019-05-18 02:17:48xtreaksetnosy: + xtreak
messages: + msg342785
2019-05-18 02:11:57mbussonnsetnosy: + mbussonn
2019-05-18 01:23:49eamanusetnosy: + eamanu
2019-05-18 00:52:44p-gansslecreate